Bug 969440 - Grammatic event message unity in Run Once events
Grammatic event message unity in Run Once events
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Martin Betak
virt
: CodeChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 08:26 EDT by Jiri Belka
Modified: 2015-09-22 09 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-01 14:28:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Belka 2013-05-31 08:26:28 EDT
Description of problem:

BZ907997 instroduced event messages for Run Once actions. I'm not native English speaker but I see little inconsistency here:

a/

1. VM YYYYYY was started by admin@internal (Host: XXXX.redhat.com).    (code=USER_STARTED_VM)
             ^^^^^^^^^^^ = past continuous

2. VM YYYYYY started on Host XXXX.redhat.com                           (code=USER_RUN_VM)
             ^^^^^^^ = simple past

b/

1. Starting VM YYYYYY was initiated by admin@internal.                 (code=USER_INITIATED_RUN_VM)
                      ^^^^^^^^^^^^^ = past continuous

2. VM YYYYYY was restarted on Host XXXX.redhat.com                     (code=VDS_INITIATED_RUN_VM)
             ^^^^^^^^^^^^^ = (again) past continuous

Version-Release number of selected component (if applicable):
sf17.2

How reproducible:
100%

Steps to Reproduce:
1. run once - stateful -> check events
2. run once - stateless -> check events
3.

Actual results:
* stateful grammer: past continuous -> simple past
* stateless grammer: past continuous -> past continuous

Expected results:
I would expect that in stateless scenario 2nd msg should be in 'simple past' as in stateful case

Additional info:
just nitpicking
Comment 1 Itamar Heim 2013-12-01 14:28:03 EST
while correct, i don't think worth the effort for internal code constants.
(not sure if we expose the strings, we should probably change to expose their number, like we do in the events tab)

Note You need to log in before you can comment on or make changes to this bug.